> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Spec Validations

> List all Spec Validation Gate records in reverse chronological order.

Returns current_validation_id and the validations array with an 'active'
flag on each record indicating if it's the currently-active pointer.



## OpenAPI

````yaml /openapi.json get /api/v1/specs/{spec_id}/validations
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/specs/{spec_id}/validations:
    get:
      tags:
        - specs
      summary: List Spec Validations
      description: |-
        List all Spec Validation Gate records in reverse chronological order.

        Returns current_validation_id and the validations array with an 'active'
        flag on each record indicating if it's the currently-active pointer.
      operationId: list_spec_validations_api_v1_specs__spec_id__validations_get
      parameters:
        - in: path
          name: spec_id
          required: true
          schema:
            title: Spec Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````